Search documentation of snmpkit

# SnmpKit.SnmpSim.Device.WalkPduProcessor (snmpkit v1.2.0)

Simplified PDU processor for devices with walk data. Handles GET, GETNEXT, and GETBULK requests using walk file data with support for dynamic counters and gauges.

# Summary

## Functions

process_get_request(pdu, state)

Process a GET request for walk-based devices.

process_getbulk_request(pdu, state)

Process a GETBULK request for walk-based devices.

process_getnext_request(pdu, state)

Process a GETNEXT request for walk-based devices.

process_set_request(pdu, state)

Process a SET request for walk-based devices. Supports special-case writable OIDs for DOCSIS modem upgrade flow. Other OIDs remain read-only.

# Functions

# process_get_request(pdu, state)

Process a GET request for walk-based devices.

# process_getbulk_request(pdu, state)

Process a GETBULK request for walk-based devices.

# process_getnext_request(pdu, state)

Process a GETNEXT request for walk-based devices.

# process_set_request(pdu, state)

Process a SET request for walk-based devices. Supports special-case writable OIDs for DOCSIS modem upgrade flow. Other OIDs remain read-only.